> ## Documentation Index
> Fetch the complete documentation index at: https://docs.monyfix.tech/llms.txt
> Use this file to discover all available pages before exploring further.

# Get User Favorites

> Toggle user favorites



## OpenAPI

````yaml get /users/favorites
openapi: 3.1.0
info:
  title: Monyfix API
  description: Monyfix
  version: 1.0.0
servers: []
security: []
paths:
  /users/favorites:
    get:
      tags:
        - users
      summary: Get User Favorites
      description: Toggle user favorites
      operationId: get_user_favorites_users_favorites_get
      parameters:
        - name: object_type
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: 'Favorite type: round, store, person'
            title: Object Type
          description: 'Favorite type: round, store, person'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UserFavoriteAllGetResponse'
        '401':
          description: >-
            No `Authorization` access token header, token is invalid or user
            removed
          content:
            application/json:
              examples:
                not authenticated:
                  summary: No authorization token header
                  value:
                    detail: Not authenticated
                invalid token:
                  summary: >-
                    Token validation failed, decode failed, it may be expired or
                    malformed
                  value:
                    detail: 'Token invalid: {detailed error msg}'
                removed user:
                  summary: User removed
                  value:
                    detail: User removed
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    UserFavoriteAllGetResponse:
      properties:
        stores:
          anyOf:
            - items:
                $ref: '#/components/schemas/UserFavoriteStoreResponse'
              type: array
            - type: 'null'
          title: Stores
        rounds:
          anyOf:
            - items:
                $ref: '#/components/schemas/UserFavoriteRoundResponse'
              type: array
            - type: 'null'
          title: Rounds
        persons:
          anyOf:
            - items:
                $ref: '#/components/schemas/UserFavoritePersonResponse'
              type: array
            - type: 'null'
          title: Persons
      type: object
      title: UserFavoriteAllGetResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    UserFavoriteStoreResponse:
      properties:
        id:
          type: integer
          title: Id
        name:
          type: string
          title: Name
        logo_url:
          type: string
          title: Logo Url
        subscribers_count:
          type: integer
          title: Subscribers Count
        rounds_count:
          type: integer
          title: Rounds Count
      type: object
      required:
        - id
        - name
        - logo_url
        - subscribers_count
        - rounds_count
      title: UserFavoriteStoreResponse
    UserFavoriteRoundResponse:
      properties:
        id:
          type: string
          title: Id
        uniq_id:
          type: string
          title: Uniq Id
        status:
          type: string
          title: Status
        end_time:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: End Time
        entry_fee:
          type: string
          title: Entry Fee
        is_active:
          type: boolean
          title: Is Active
        members_count:
          type: integer
          title: Members Count
        max_members_count:
          type: integer
          title: Max Members Count
        is_private:
          type: boolean
          title: Is Private
        variant:
          type: string
          title: Variant
        owner:
          $ref: '#/components/schemas/UserFavoriteRoundOwnerResponse'
        item:
          $ref: '#/components/schemas/UnifiedItemUpcomingRoundResponse'
        participant_statuses:
          anyOf:
            - items:
                $ref: '#/components/schemas/UserFavoriteRoundParticipantResponse'
              type: array
            - type: 'null'
          title: Participant Statuses
        in_favorites:
          anyOf:
            - type: boolean
            - type: 'null'
          title: In Favorites
          default: false
        format_entry_fee:
          type: string
          title: Format Entry Fee
          readOnly: true
      type: object
      required:
        - id
        - uniq_id
        - status
        - entry_fee
        - is_active
        - members_count
        - max_members_count
        - is_private
        - variant
        - owner
        - item
        - format_entry_fee
      title: UserFavoriteRoundResponse
    UserFavoritePersonResponse:
      properties:
        id:
          type: integer
          title: Id
        name:
          type: string
          title: Name
        logo_url:
          type: string
          title: Logo Url
        subscribers_count:
          type: integer
          title: Subscribers Count
        rounds_count:
          type: integer
          title: Rounds Count
      type: object
      required:
        - id
        - name
        - logo_url
        - subscribers_count
        - rounds_count
      title: UserFavoritePersonResponse
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    UserFavoriteRoundOwnerResponse:
      properties:
        id:
          type: string
          title: Id
        first_name:
          anyOf:
            - type: string
            - type: 'null'
          title: First Name
        last_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Last Name
        avatar_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Avatar Url
      type: object
      required:
        - id
        - first_name
        - last_name
        - avatar_url
      title: UserFavoriteRoundOwnerResponse
    UnifiedItemUpcomingRoundResponse:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        sku:
          anyOf:
            - type: string
            - type: 'null'
          title: Sku
        platform_price:
          type: number
          title: Platform Price
        price:
          type: integer
          title: Price
        start_time:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Start Time
        end_time:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: End Time
        duration:
          anyOf:
            - type: integer
            - type: 'null'
          title: Duration
        event_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Event Type
        assets:
          anyOf:
            - items:
                $ref: '#/components/schemas/UnifiedItemRoundAssetResponse'
              type: array
            - type: 'null'
          title: Assets
          default: []
        participants_limit:
          anyOf:
            - type: integer
            - type: 'null'
          title: Participants Limit
        store:
          $ref: '#/components/schemas/ProductUpcomingRoundStoreGetResponse'
        location:
          anyOf:
            - $ref: '#/components/schemas/UnifiedEventLocationResponse'
            - type: 'null'
        format_price:
          type: string
          title: Format Price
          readOnly: true
      type: object
      required:
        - id
        - name
        - platform_price
        - price
        - store
        - format_price
      title: UnifiedItemUpcomingRoundResponse
    UserFavoriteRoundParticipantResponse:
      properties:
        user:
          $ref: '#/components/schemas/UserMeUpcomingRoundResponse'
      type: object
      required:
        - user
      title: UserFavoriteRoundParticipantResponse
    UnifiedItemRoundAssetResponse:
      properties:
        name:
          type: string
          title: Name
        path:
          type: string
          title: Path
        type:
          type: string
          title: Type
        sort_order:
          type: integer
          title: Sort Order
        is_primary:
          type: boolean
          title: Is Primary
      type: object
      required:
        - name
        - path
        - type
        - sort_order
        - is_primary
      title: UnifiedItemRoundAssetResponse
    ProductUpcomingRoundStoreGetResponse:
      properties:
        id:
          type: integer
          title: Id
        name:
          type: string
          title: Name
        logo_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Logo Url
        is_blogger:
          type: boolean
          title: Is Blogger
        seller_type:
          type: string
          title: Seller Type
          readOnly: true
      type: object
      required:
        - id
        - name
        - is_blogger
        - seller_type
      title: ProductUpcomingRoundStoreGetResponse
    UnifiedEventLocationResponse:
      properties:
        country:
          anyOf:
            - type: string
            - type: 'null'
          title: Country
        city:
          anyOf:
            - type: string
            - type: 'null'
          title: City
        address:
          type: string
          title: Address
      type: object
      required:
        - address
      title: UnifiedEventLocationResponse
    UserMeUpcomingRoundResponse:
      properties:
        id:
          type: string
          title: Id
        first_name:
          anyOf:
            - type: string
            - type: 'null'
          title: First Name
        last_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Last Name
        avatar_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Avatar Url
      type: object
      required:
        - id
        - first_name
        - last_name
        - avatar_url
      title: UserMeUpcomingRoundResponse
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````